Compare networks
GET
/analytics/platforms
const url = 'https://api.warmup.social/analytics/platforms?role=own&from=2026-09-01&to=2026-09-30&tz=UTC';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.warmup.social/analytics/platforms?role=own&from=2026-09-01&to=2026-09-30&tz=UTC' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”role
string
Whose accounts to analyze — your own or competitors.
from
string format: date
Example
2026-09-01Period start, YYYY-MM-DD, inclusive. Defaults to 30 days before to. Periods longer than 365 days are cut from the start.
to
string format: date
Example
2026-09-30Period end, YYYY-MM-DD, inclusive. Defaults to today in tz.
tz
string
Example
Europe/BerlinIANA time zone used to split days.
platform
Array<string>
Only these networks. Comma-separated or repeated.
group
Array<string>
Only accounts from these collections (names from “List analytics filters”).
accountId
Array<string>
Only these accounts (ids from “List analytics filters”).
Responses
Section titled “Responses”Totals per network for the period.
Media typeapplication/json
object
period
required
object
from
required
string format: date
to
required
string format: date
days
required
integer
platforms
required
Array<object>
object
platform
required
string
posts
required
integer
views
required
integer
likes
required
integer
comments
required
integer
avgViewsPerPost
required
number
er
required
number
Example
{ "period": { "days": 30 }, "platforms": [ { "platform": "instagram" } ]}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}